package speiger.src.coreengine.math.vector.matrix;

import speiger.src.collections.objects.lists.ObjectArrayList;
import speiger.src.collections.utils.Stack;

public class Matrix4fStack extends Matrix4f {
	Stack<Matrix4f> stack = new ObjectArrayList<>();
	
	public void push() {
		stack.push(new Matrix4f(this));
	}
	
	public void pop() {
		load(stack.pop());
	}
	
	public int size() {
		return stack.size();
	}
}
